<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
       Schema::create('aderentes', function (Blueprint $table) {
    $table->id();
    $table->foreignId('cliente_id')->constrained('users')->onDelete('cascade');
    $table->foreignId('post_id')->constrained()->onDelete('cascade');
    $table->float('lance', 8, 2)->nullable();
    $table->boolean('lance_yes_no')->default(false);
    $table->string('paragem')->nullable();
    $table->tinyInteger('status')->default(0); // 0=pendente
    $table->timestamps();
});

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('aderentes');
    }
};
